GearmanJob::sendData
GearmanJob::sendFail
GearmanJob
PHP Manual

# GearmanJob::sendException

Send exception for running job (exception)

### Description

public bool GearmanJob::sendException ( string `$exception` )

Sends the supplied exception when this job is running.

### Parameters

`exception`

  An exception description.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::setReturn
- GearmanJob::sendStatus
- GearmanJob::sendWarning